Show error dialog if operating system bits don't match the Node bits #13032

Open
petetnt opened this Issue Jan 11, 2017 · 0 comments

Projects

None yet

1 participant

@petetnt
Member
petetnt commented Jan 11, 2017

Prerequisites

  • Can you reproduce the problem with Debug -> Reload Without Extensions?
  • Did you perform a cursory search to see if your bug or enhancement is already reported?
  • Did you read the Troubleshooting guide?

For more information on how to write a good bug report read here
For more information on how to contribute read here

Description

See:
#12918 (comment)
#12953 (comment)

We should show a warning / error dialog outlining the issue of trying to use the 64-bit Node version on a 32-bit version, possibly showing the steps needed for working around the issue.
Bonus points for making it possible to download and install the correct version.

We could also do builds with 32 bit Node and ship the installers separately.

@petetnt petetnt changed the title from Show error dialog if operating system bits don't match the Node version to Show error dialog if operating system bits don't match the Node bits Jan 11, 2017
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment